Package: org.gradle.api.artifacts.result

## [Java] Interface DependencyResult

- An edge in the dependency graph. Provides information about the origin of the dependency and the requested component.

  See Also:
    ResolutionResult

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ResolvedComponentResult` | `getFrom()` Returns the origin of the dependency.
    `ComponentSelector` | `getRequested()`

- - ### Method Detail

    - #### public ResolvedComponentResult getFrom()

      Returns the origin of the dependency.

      Returns:
        the origin of the dependency

    - #### public ComponentSelector getRequested()

      Returns the requested component.

      The return type is declared as an opaque ComponentSelector, however the selector may also implement one of the following interfaces:

      - ProjectComponentSelector for those dependencies that request a component from some other project in the current build.
      - ModuleComponentSelector for those dependencies that request a component to be found in some repository.
      Returns:
        the requested component